#include "hitbox.hpp"

void hitbox::initialize_hitbox(int _N, std::vector<vec3> _center, std::vector<double> _r) {
	N = _N;
	center.resize(N);
	r.resize(N);
	for (int i = 0; i < N; i++) {
		center[i] = _center[i];
		r[i] = _r[i];
	}
}

bool hitbox::is_in_hitbox(vec3 pos, vec3 shift, rotation_transform rot) {
	for (int i = 0; i < N; i++) {
		if (norm(pos - (rot * center[i] + shift)) < r[i]) return true;
	}
	return false;
}